import mock
import unittest

from lpreports.utils import maintenance


class ReportsTestCase(unittest.TestCase):

    @mock.patch("lpreports.db.get_milestones_target_dates")
    def test_maintenance_nearest_milestone_empty(self, get_milestones_target_dates):
        get_milestones_target_dates.return_value = {}
        self.assertEqual(maintenance.get_nearest_targeted_milestone(), None)
